org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters

## Interface IDifferenceFilterChange

All Superinterfaces:
  ICompareEvent

All Known Implementing Classes:
  DifferenceFilterChange

    public interface IDifferenceFilterChange
    extends ICompareEvent

Stores selected and unselected filters, and a predicate that aggregates the selected state predicates of selected filters and the unselected state predicates of unselected filters. It will be used when a change of selected filters occurs.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`com.google.common.base.Predicate<? super EObject>` `getPredicate()` Returns a `Predicate` that aggregates the selected state predicates of selected filters and the unselected state predicates of unselected filters.
`Collection<IDifferenceFilter>` `getSelectedDifferenceFilters()` Returns the list of selected `IDifferenceFilter`.
`Collection<IDifferenceFilter>` `getUnselectedDifferenceFilters()` Returns the list of unselected `IDifferenceFilter`.

### Method Detail

#### getPredicate

    com.google.common.base.Predicate<? super EObject> getPredicate()

Returns a `Predicate` that aggregates the selected state predicates of selected filters and the unselected state predicates of unselected filters.

Returns:
  a predicate that aggregates the selected state predicates of selected filters and the unselected state predicates of unselected filters.

#### getSelectedDifferenceFilters

    Collection<IDifferenceFilter> getSelectedDifferenceFilters()

Returns the list of selected `IDifferenceFilter`.

Returns:
  the list of selected filters.

#### getUnselectedDifferenceFilters

    Collection<IDifferenceFilter> getUnselectedDifferenceFilters()

Returns the list of unselected `IDifferenceFilter`.

Returns:
  the list of unselected filters.